## libgctp 2.0

=== source/Makefile ===

INCDIR  = 
ARCHIVE = geolib.a
LIBDIR  = 
SRCDIR  = .
INCS    = cproj.h proj.h 
CC	= cc

OBJECTS=		\
		$(ARCHIVE)(alberfor.o) $(ARCHIVE)(alberinv.o) \
		$(ARCHIVE)(alconfor.o) $(ARCHIVE)(alconinv.o) \
		$(ARCHIVE)(azimfor.o) $(ARCHIVE)(aziminv.o) \
		$(ARCHIVE)(eqconfor.o) $(ARCHIVE)(eqconinv.o) \
		$(ARCHIVE)(equifor.o) $(ARCHIVE)(equiinv.o) \
		$(ARCHIVE)(gnomfor.o) $(ARCHIVE)(gnominv.o) \
		$(ARCHIVE)(goodfor.o) $(ARCHIVE)(goodinv.o) \
		$(ARCHIVE)(gvnspfor.o) $(ARCHIVE)(gvnspinv.o) \
		$(ARCHIVE)(hamfor.o) $(ARCHIVE)(haminv.o) \
		$(ARCHIVE)(imolwfor.o) $(ARCHIVE)(imolwinv.o) \
		$(ARCHIVE)(lamazfor.o) $(ARCHIVE)(lamazinv.o) \
		$(ARCHIVE)(lamccfor.o) $(ARCHIVE)(lamccinv.o) \
		$(ARCHIVE)(merfor.o) $(ARCHIVE)(merinv.o) \
		$(ARCHIVE)(millfor.o) $(ARCHIVE)(millinv.o) \
		$(ARCHIVE)(molwfor.o) $(ARCHIVE)(molwinv.o) \
		$(ARCHIVE)(obleqfor.o) $(ARCHIVE)(obleqinv.o) \
		$(ARCHIVE)(omerfor.o) $(ARCHIVE)(omerinv.o) \
		$(ARCHIVE)(orthfor.o) $(ARCHIVE)(orthinv.o) \
		$(ARCHIVE)(polyfor.o) $(ARCHIVE)(polyinv.o) \
		$(ARCHIVE)(psfor.o) $(ARCHIVE)(psinv.o) \
		$(ARCHIVE)(robfor.o) $(ARCHIVE)(robinv.o) \
		$(ARCHIVE)(sinfor.o) $(ARCHIVE)(sininv.o) \
		$(ARCHIVE)(somfor.o) $(ARCHIVE)(sominv.o) \
		$(ARCHIVE)(sterfor.o) $(ARCHIVE)(sterinv.o) \
		$(ARCHIVE)(stplnfor.o) $(ARCHIVE)(stplninv.o) \
		$(ARCHIVE)(tmfor.o) $(ARCHIVE)(tminv.o) \
		$(ARCHIVE)(utmfor.o) $(ARCHIVE)(utminv.o) \
		$(ARCHIVE)(vandgfor.o) $(ARCHIVE)(vandginv.o) \
		$(ARCHIVE)(wivfor.o) $(ARCHIVE)(wivinv.o) \
		$(ARCHIVE)(wviifor.o) $(ARCHIVE)(wviiinv.o) \
		$(ARCHIVE)(for_init.o) $(ARCHIVE)(inv_init.o) \
		$(ARCHIVE)(cproj.o) $(ARCHIVE)(report.o) \
		$(ARCHIVE)(paksz.o) $(ARCHIVE)(sphdz.o) \
		$(ARCHIVE)(untfz.o) $(ARCHIVE)(gctp.o) \
		$(ARCHIVE)(br_gctp.o)

SOURCES = gctp.c alberfor.c alberinv.c alconfor.c alconinv.c azimfor.c \
	  aziminv.c eqconfor.c eqconinv.c equifor.c equiinv.c gnomfor.c \
	  gnominv.c goodfor.c goodinv.c gvnspfor.c gvnspinv.c hamfor.c \
	  haminv.c imolwfor.c imolwnv.c lamazfor.c lamazinv.c merfor.c \
	  merinv.c millfor.c millinv.c molwfor.c molwinv.c obleqfor.c  \
	  obleqinv.c omerfor.c omerinv.c orthfor.c orthinv.c polyfor.c \
	  polyinv.c psfor.c psinv.c robfor.c robinv.c sinfor.c sininv.c \
	  somfor.c sominv.c sterfor.c sterinv.c stplnfor.c stplninv.c \
	  tmfor.c tminv.c utmfor.c utminv.c vandgfor.c vandginv.c \
	  wivfor.c wivinv.c wviifor.c wviiinv.c for_init.c inv_init.c \
	  cproj.c report.c lamccfor.c lamccinv.c paksz.c untfz.c sphdz.c \
	  br_gctp.c Makefile cproj.h proj.h

$(ARCHIVE):	$(OBJECTS)


$(ARCHIVE)(gctp.o):	 	$(INCS)
$(ARCHIVE)(alberfor.o):	 	$(INCS)
$(ARCHIVE)(alberinv.o):	 	$(INCS)
$(ARCHIVE)(alconfor.o):	 	$(INCS)
$(ARCHIVE)(alconinv.o):	 	$(INCS)
$(ARCHIVE)(azimfor.o):	 	$(INCS)
$(ARCHIVE)(aziminv.o):	 	$(INCS)
$(ARCHIVE)(eqconfor.o):	 	$(INCS)
$(ARCHIVE)(eqconinv.o):	 	$(INCS)
$(ARCHIVE)(equifor.o):	 	$(INCS)
$(ARCHIVE)(equiinv.o):	 	$(INCS)
$(ARCHIVE)(for_init.o):	 	$(INCS)
$(ARCHIVE)(gnomfor.o):	 	$(INCS)
$(ARCHIVE)(gnominv.o):	 	$(INCS)
$(ARCHIVE)(goodfor.o):	 	$(INCS)
$(ARCHIVE)(goodinv.o):	 	$(INCS)
$(ARCHIVE)(gvnspfor.o):	 	$(INCS)
$(ARCHIVE)(gvnspinv.o):	 	$(INCS)
$(ARCHIVE)(hamfor.o):	 	$(INCS)
$(ARCHIVE)(haminv.o):	 	$(INCS)
$(ARCHIVE)(imolwfor.o):	 	$(INCS)
$(ARCHIVE)(imolwinv.o):	 	$(INCS)
$(ARCHIVE)(inv_init.o):	 	$(INCS)
$(ARCHIVE)(lamazfor.o):	 	$(INCS)
$(ARCHIVE)(lamazinv.o):	 	$(INCS)
$(ARCHIVE)(lamccfor.o):	 	$(INCS)
$(ARCHIVE)(lamccinv.o):	 	$(INCS)
$(ARCHIVE)(merfor.o):	 	$(INCS)
$(ARCHIVE)(merinv.o):	 	$(INCS)
$(ARCHIVE)(millfor.o):	 	$(INCS)
$(ARCHIVE)(millinv.o):	 	$(INCS)
$(ARCHIVE)(molwfor.o):	 	$(INCS)
$(ARCHIVE)(molwinv.o):	 	$(INCS)
$(ARCHIVE)(obleqfor.o):	 	$(INCS)
$(ARCHIVE)(obleqinv.o):	 	$(INCS)
$(ARCHIVE)(omerfor.o):	 	$(INCS)
$(ARCHIVE)(omerinv.o):	 	$(INCS)
$(ARCHIVE)(orthfor.o):	 	$(INCS)
$(ARCHIVE)(orthinv.o):	 	$(INCS)
$(ARCHIVE)(paksz.o):	 	$(INCS)
$(ARCHIVE)(polyinv.o):	 	$(INCS)
$(ARCHIVE)(polyfor.o):	 	$(INCS)
$(ARCHIVE)(psinv.o):	 	$(INCS)
$(ARCHIVE)(psfor.o):	 	$(INCS)
$(ARCHIVE)(robinv.o):	 	$(INCS)
$(ARCHIVE)(robfor.o):	 	$(INCS)
$(ARCHIVE)(sininv.o):	 	$(INCS)
$(ARCHIVE)(sinfor.o):	 	$(INCS)
$(ARCHIVE)(sominv.o):	 	$(INCS)
$(ARCHIVE)(somfor.o):	 	$(INCS)
$(ARCHIVE)(sphdz.o):	 	$(INCS)
$(ARCHIVE)(sterinv.o):	 	$(INCS)
$(ARCHIVE)(sterfor.o):	 	$(INCS)
$(ARCHIVE)(stplninv.o):	 	$(INCS)
$(ARCHIVE)(stplnfor.o):	 	$(INCS)
$(ARCHIVE)(tminv.o):	 	$(INCS)
$(ARCHIVE)(tmfor.o):	 	$(INCS)
$(ARCHIVE)(utminv.o):	 	$(INCS)
$(ARCHIVE)(utmfor.o):	 	$(INCS)
$(ARCHIVE)(untfz.o):	 	$(INCS)
$(ARCHIVE)(vandginv.o):	 	$(INCS)
$(ARCHIVE)(vandgfor.o):	 	$(INCS)
$(ARCHIVE)(wivinv.o):	 	$(INCS)
$(ARCHIVE)(wivfor.o):	 	$(INCS)
$(ARCHIVE)(wviiinv.o):	 	$(INCS)
$(ARCHIVE)(wviifor.o):	 	$(INCS)
$(ARCHIVE)(cproj.o):	 	$(INCS)
$(ARCHIVE)(report.o):	 	$(INCS)
$(ARCHIVE)(br_gctp.o):	 	$(INCS)

=== debian/changelog ===
libgctp (2.0-4) unstable; urgency=medium

  * Fix symbols file syntax error. Closes: #887528
  * Standards-Version: 4.1.3
  * Fix homepage; now on Github
  * Add watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jan 2018 10:37:03 +0000

libgctp (2.0-3) unstable; urgency=medium

  * Patch for FTCBFS from Helmut Grohe; Closes: #884729
  * Standards-Version: 4.1.2; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Dec 2017 09:44:41 +0000

libgctp (2.0-2) unstable; urgency=medium

  * Move to Standards-Version: 4.0.0; no changes required
  * Now at Debhelper DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 15:23:28 +0100

libgctp (2.0-1) unstable; urgency=low

  * Use 'xz' compression for debian patch. 
  * Move to gctpc20 from ftp site. Closes: #748221.
  * Standards-Version: 3.9.5.
  * Multi-Arch enabled.
  * Move to Source version 3 + debhelper, not quilt 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 May 2014 18:20:13 +0100

libgctp (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #540182).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Aug 2009 17:19:49 +0100

=== debian/control ===
Source: libgctp
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.3
Homepage: https://github.com/OkoSanto/GCTP

Package: libgctp0d
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: General Cartographic Transformation Package Library
 The General Cartographic Transformation Package (GCTP) is a system of
 software routines designed to permit the transformation of coordinate
 pairs from one map projection to another. The GCTP is the standard
 computer software used by the National Mapping Division for map
 projection computations. 

Package: libgctp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgctp0d ( = ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description: General Cartographic Transformation Package - development files
 This package contains the static library, pkg-config files and include files
 needed to build with the General Cartographic Transformation Package library.

=== debian/rules ===
#!/usr/bin/make -f

# Comment out this line for debugging
#export DH_VERBOSE:=1

-include /usr/share/dpkg/buildtools.mk

# The magic rule for debhelper
%:
	dh $@ --sourcedirectory=source

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

VERSION:=2.0

override_dh_auto_clean:
	dh_auto_clean
	rm -f source/gctp.pc

override_dh_auto_install:
	sed -e 's/@libdir@/$(LIBDIR)/' < gcpt.pc | \
		sed -e 's/@VERSION@/$(VERSION)/' > gctp.pc
	dh_auto_install -- 'CC=$(CC)'
	mkdir -p debian/libgctp0d/$(LIBDIR)
	cp source/libgctp.so.0d debian/libgctp0d/$(LIBDIR)
	dh_link -p libgctp-dev $(LIBDIR)/libgctp.so.0d  $(LIBDIR)/libgctp.so
	dh_install -p libgctp-dev gctp.pc $(LIBDIR)/pkgconfig/gctp.pc
	dh_install -p libgctp-dev source/*.a	$(LIBDIR)

## libgctp 2.0.0

=== test/test_proj/Makefile ===
#
# File to make is the testproj executable
#
exe:	testproj	

saber:
	#load $(SOURCE) \
		$(OPTS) \
		$(OBJLIB) \
		$(TRLIB) -lm \
	#link
#
# Set up build options--the debug switch (debug or optimize), 
# and directories to search for include files
#
OPTS = $(CFLAGS)     \
	-I$(SRCGCTP)

#
# Include files needed for testproj.  The source code depends on
# these files.  Therefore, if one of the include files are
# modified, the module will be recompiled.
#
CINCFIL = \
	$(SRCGCTP)/cproj.h   \
	$(SRCGCTP)/proj.h

OBJLIB = \
	$(LIBGCTP)/geolib.a

#
# Object libraries required to load the program
#

#
# directives for the release procedure.  This identifies 
# which files are to be treated as source files, executable 
# files, and misc. files which are in both the 
# release directory and source directory
#
SOURCE = testproj.c Makefile
EXECS  = testproj 

# qz

# Make the executable file for program "testproj".
testproj: 	testproj.c $(OBJLIB) $(CINCFIL)
		cc $(OPTS) \
		-o testproj testproj.c  \
		$(OBJLIB) \
		$(TRLIB) -lm
#
#
# qz

=== debian/changelog ===
libgctp (2.0.0-6) unstable; urgency=medium

  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jul 2019 08:40:38 +0100

libgctp (2.0.0-5) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Build-Depend on  gfortran | fortran-compiler, for flang
  * Debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Feb 2019 09:54:03 +0000

libgctp (2.0.0-4) unstable; urgency=medium

  * Fix name of library, changed in last "upstream release". Closes: #906188
  * Standards-Version: 4.2.0
  * Remove obsolete build.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Aug 2018 19:41:27 +0100

libgctp (2.0.0-3) unstable; urgency=medium

  * Add build-dependency on gfortran

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Jun 2018 15:28:40 +0100

libgctp (2.0.0-2) experimental; urgency=medium

  * Rebuild with -fPIC, needed for hdf-eos* linking

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Jun 2018 13:34:43 +0100

libgctp (2.0.0-1) experimental; urgency=medium

  * Now use 2.0.0 release from github upstream
  * Change library version from 0d to 2.0.0
  * Standards-Version: 4.1.4
  * Add VCS to d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 31 May 2018 14:05:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 12),
+ gfortran | fortran-compiler
+Standards-Version: 4.4.0
 Homepage: https://github.com/OkoSanto/GCTP
+Vcs-Browser: https://salsa.debian.org:/science-team/libgctp.git
+Vcs-Git: https://salsa.debian.org:/science-team/libgctp.git
 
-Package: libgctp0d
+Package: libgctp-2.0.0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -23,7 +26,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgctp0d ( = ${binary:Version}), ${misc:Depends}
+Depends: libgctp-2.0.0 ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
 Description: General Cartographic Transformation Package - development files
  This package contains the static library, pkg-config files and include files

=== debian/rules ===
#!/usr/bin/make -f

# Comment out this line for debugging
export DH_VERBOSE:=1

-include /usr/share/dpkg/buildtools.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
VERSION:=2.0.0

# To enable all, uncomment following line
DEB_BUILD_MAINT_OPTIONS:= hardening=+all
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC
export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND

# The magic rule for debhelper
%:
	dh $@ 



override_dh_auto_clean:
	dh_auto_clean
	rm -f gctp.pc

override_dh_auto_install:
	sed -e 's%@LIBDIR@%$(LIBDIR)%' < gctp.pc.in | \
		sed -e 's/@VERSION@/$(VERSION)/' > gctp.pc
	dh_auto_install -- 'CC=$(CC)'
	mkdir -p debian/libgctp-2.0.0/$(LIBDIR)
	cp source/.libs/libgctp-2.0.0.so debian/libgctp-2.0.0/$(LIBDIR)/libgctp.so.2.0.0
	dh_link -p libgctp-dev $(LIBDIR)/libgctp.so.2.0.0 $(LIBDIR)/libgctp.so
	dh_link -p libgctp-2.0.0 $(LIBDIR)/libgctp.so.2.0.0 $(LIBDIR)/libgctp-2.0.0.so
	dh_install -p libgctp-dev gctp.pc $(LIBDIR)/pkgconfig
	dh_install -p libgctp-dev source/.libs/*.a	$(LIBDIR)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/OkoSanto/GCTP/tags .*/v?(\d\S+)\.tar\.gz
